(define-module (skg packages mcrcon)
  #:use-module (guix)
  #:use-module (guix build-system gnu)
  #:use-module (guix build-system cmake)
  #:use-module (guix git-download)
  #:use-module ((guix licenses) #:prefix license:)
  #:use-module (gnu packages commencement)
  #:use-module (gnu packages))


(define-public mcrcon
  (package
    (name "mcrcon")
    (version "0.7.2")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
              (url "https://github.com/Tiiffi/mcrcon.git")
              (commit "v0.7.2")))
        (file-name (git-file-name name version))
        (sha256 (base32 "0vj8la4ygk3xq2270mf28wswb71hl0a90y53iss2n4v0qqm5xrvi"))))
    (build-system gnu-build-system)
          (outputs '("out" "debug"))
    (inputs (list gcc-toolchain))
    (arguments '(
                     #:tests? #f
		     #:phases 
		     (modify-phases %standard-phases
				    (replace 'build
					     (lambda _ (invoke "gcc" "mcrcon.c" "-o" "mcrcon")))
			            (replace 'install
					     (lambda* (#:key outputs #:allow-other-keys) 
					       (invoke "install" "-Dm" "755" "mcrcon" (string-append (assoc-ref outputs "out") "/bin/mcrcon"))))
				    (delete 'configure))))
    (home-page "https://github.com/Tiiffi/mcrcon")
    (synopsis "Mcrcon is a powerful Minecraft RCON terminal client with Bukkit coloring support.
      It is well suited for remote administration and to be used as part of automated server maintenance scripts.
      It does not trigger \"IO: Broken pipe\" or \"IO: Connection reset\" spam bugs on the server side.")
    (description "Minecraft console client with Bukkit coloring support")
    (license license:zlib)))

